# gdcm::Defs Class Reference

FIXME I do not like the name 'Defs'. More...

`#include <gdcmDefs.h>`

Collaboration diagram for gdcm::Defs:
[legend]

List of all members.

## Public Member Functions
| Defs ()
| ~Defs ()
IODs & | GetIODs ()
const IODs & | GetIODs () const
Macros & | GetMacros ()
const Macros & | GetMacros () const
Modules & | GetModules ()
const Modules & | GetModules () const
Type | GetTypeFromTag (const File &file, const Tag &tag) const
bool | IsEmpty () const
bool | Verify (const DataSet &ds) const
bool | Verify (const File &file) const
## Static Public Member Functions
static const char * | GetIODNameFromMediaStorage (MediaStorage const &ms)
## Protected Member Functions
void | LoadDefaults ()
void | LoadFromFile (const char *filename)
## Friends
class | Global

## Detailed Description

FIXME I do not like the name 'Defs'.

Note:
  bla

## Constructor & Destructor Documentation

gdcm::Defs::Defs | ( |  | ) |

gdcm::Defs::~Defs | ( |  | ) |

## Member Function Documentation

static const char* gdcm::Defs::GetIODNameFromMediaStorage | ( | MediaStorage const & | ms | ) | `[static]`

IODs& gdcm::Defs::GetIODs | ( |  | ) | `[inline]`

const IODs& gdcm::Defs::GetIODs | ( |  | ) | const`[inline]`

Macros& gdcm::Defs::GetMacros | ( |  | ) | `[inline]`

const Macros& gdcm::Defs::GetMacros | ( |  | ) | const`[inline]`

Modules& gdcm::Defs::GetModules | ( |  | ) | `[inline]`

const Modules& gdcm::Defs::GetModules | ( |  | ) | const`[inline]`

Type gdcm::Defs::GetTypeFromTag | ( | const File & | file,
|  | const Tag & | tag |
| ) |  |  | const

bool gdcm::Defs::IsEmpty | ( |  | ) | const`[inline]`

void gdcm::Defs::LoadDefaults | ( |  | ) | `[protected]`

void gdcm::Defs::LoadFromFile | ( | const char * | filename | ) | `[protected]`

bool gdcm::Defs::Verify | ( | const DataSet & | ds | ) | const

bool gdcm::Defs::Verify | ( | const File & | file | ) | const

## Friends And Related Function Documentation

friend class Global`[friend]`

The documentation for this class was generated from the following file:

- gdcmDefs.h